<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class VendorType extends Model
{
    protected $fillable = ['name', 'slug', 'icon', 'is_active'];

    protected $casts = ['is_active' => 'boolean'];

    public function vendors()
    {
        return $this->hasMany(Vendor::class);
    }

    public function providerServices()
    {
        return $this->hasMany(ProviderService::class);
    }
}
